#

Function HASH-TABLE-P

Syntax:

hash-table-p object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type hash-table; otherwise, returns false.

Examples:

     (setq table (make-hash-table)) =>  #<HASH-TABLE EQL 0/120 32511220>
     (hash-table-p table) =>  true
     (hash-table-p 37) =>  false
     (hash-table-p '((a . 1) (b . 2))) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (hash-table-p object) ==  (typep object 'hash-table)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.